Skip to content

Balance Conversions

Balance Conversion resource represents the details of the balance conversion. The balance conversion is the conversion of the balance from one supported currency to another supported currency.

Convert balances

Request

Converts balance from one currency to another. In the API you can either send target_amount or source_amount and the API will calculate the other amount for you.

Security
JWT
Bodyapplication/jsonrequired
One of:
source_currencystring, (iso-4217)required

The currency code in ISO 4217 format. Supported currencies: USD,EUR and GBP.

Example:"USD"
target_currencystring, (iso-4217)required

The currency code in ISO 4217 format. Supported currencies: USD,EUR and GBP.

Example:"USD"
source_amountnumber, >= 1required

The amount you want to convert. A positive integer representing the smallest currency unit. For example, if the amount is $299.00, then pass 29900 in this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ¥295, pass the value as 295. Only one of `source_amount` or `target_amount` can be sent.

Example:1000
POST
/balance_conversions
curl -i -X POST \
  https://api.glomopay.com/api/v1/balance_conversions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "source_currency": "USD",
    "target_currency": "USD",
    "source_amount": 1000
  }'

Responses

Refund created successfully

Bodyapplication/json
idstring, (string)read-only

The unique identifier for the balance balance.

Example:"conv_6776d57dnbTWj"
fromobject(Money)

the amount and currency of the balance used for conversion

toobject(Money)

the amount and currency of the balance after conversion

feesobject(Money)

Total fees for the conversion

mid_market_rateobject(ConversionRate)

The mid-market rate at the time of conversion

statusstringread-only

The status of the balance conversion.

Enum:"success""failed""pending"
Example:"success"
created_atstring, (date-time)read-only

The date and time the balance conversion was created.

Example:"2021-01-01T00:00:00Z"
Response
{ "id": "conv_6776d57dnbTWj", "from": { "amount": 1000, "currency": "USD" }, "to": { "amount": 1000, "currency": "USD" }, "fees": { "amount": 1000, "currency": "USD" }, "mid_market_rate": { "currency": "USD", "rate": 1.4 }, "status": "success", "created_at": "2021-01-01T00:00:00Z" }